=== debian/control ===
Source: gwydion-dylan-sgml
Section: text
Priority: optional
Maintainer: Brent A. Fulgham <bfulgham@debian.org>
Standards-Version: 3.5.4.0
Build-Depends-Indep: docbook, docbook-dsssl | docbook-stylesheets (>= 1.72-0potato2), jade, lynx, perlsgml, debhelper (>> 4)

Package: gwydion-dylan-sgml
Architecture: all
Depends: sgml-base, docbook, docbook-dsssl | docbook-stylesheets (>= 1.72-0potato2), opensp, jade, libsgmls-perl, sgmlspl
Suggests: openjade1.3 | openjade
Description: The Gwydion Dylan SGML Tools
 This package contains the DTD and DSSSL stylesheets used by the Gwydion
 Dylan project for documentation.

Package: gwydion-dylan-doc-html
Architecture: all
Suggests: doc-base, www-browser
Description: The Gwydion Dylan Documentation (HTML)
 These are the Gwydion Dylan manuals in HTML form for use as a reference.
